### Method

# Adw AlertDialog choose_finish

since: 1.5

#### Declaration [src]

    const char*
    adw_alert_dialog_choose_finish (
      AdwAlertDialog* self,
      GAsyncResult* result
    )

#### Description [src]

Finishes the `adw_alert_dialog_choose()` call and returns the response ID.

Available since: 1.5

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

#### Return value

Type: `const char*`

The ID of the response that was selected, or `AdwAlertDialog:close-response` if the call was cancelled.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.